## org.hibernate.transaction.synchronization
Class CallbackCoordinator

    java.lang.Object
      org.hibernate.transaction.synchronization.CallbackCoordinator

    public class CallbackCoordinator

extends Object

Manages callbacks from the `Synchronization` registered by Hibernate.

Author:
  Steve Ebersole

Constructor Summary
`CallbackCoordinator(TransactionFactory.Context ctx, JDBCContext jdbcContext, Transaction jtaTransaction, Transaction hibernateTransaction)`

Method Summary
`void` `afterCompletion(int status)`
`void` `beforeCompletion()`
`AfterCompletionAction` `getAfterCompletionAction()`
`BeforeCompletionManagedFlushChecker` `getBeforeCompletionManagedFlushChecker()`
`ExceptionMapper` `getExceptionMapper()`
`void` `reset()`
`void` `setAfterCompletionAction(AfterCompletionAction afterCompletionAction)`
`void` `setBeforeCompletionManagedFlushChecker(BeforeCompletionManagedFlushChecker beforeCompletionManagedFlushChecker)`
`void` `setExceptionMapper(ExceptionMapper exceptionMapper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallbackCoordinator

    public CallbackCoordinator(TransactionFactory.Context ctx,
                               JDBCContext jdbcContext,
                               Transaction jtaTransaction,
                               Transaction hibernateTransaction)

Method Detail

### reset

    public void reset()

### getBeforeCompletionManagedFlushChecker

    public BeforeCompletionManagedFlushChecker getBeforeCompletionManagedFlushChecker()

### setBeforeCompletionManagedFlushChecker

    public void setBeforeCompletionManagedFlushChecker(BeforeCompletionManagedFlushChecker beforeCompletionManagedFlushChecker)

### getExceptionMapper

    public ExceptionMapper getExceptionMapper()

### setExceptionMapper

    public void setExceptionMapper(ExceptionMapper exceptionMapper)

### getAfterCompletionAction

    public AfterCompletionAction getAfterCompletionAction()

### setAfterCompletionAction

    public void setAfterCompletionAction(AfterCompletionAction afterCompletionAction)

### beforeCompletion

    public void beforeCompletion()

### afterCompletion

    public void afterCompletion(int status)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.